# Using application made for git

## generalities

Several application are meant to deal with git commands without having to use the terminal. They usually do not deal with git annex commands, so only small files (< 50MB) can be pushed via their interface. If most of your files are below that limit, one can use these application for routine work, and use either the command line (with `gin update .`) or the browser interface from time to time to upload big files.


Most of them have a way to push to external servers like GitHub, gitlab, or bitbucket. They are usually to ways to make this connection: via https or via ssh. The ssh version is more secure, but you need to set up keys for each computer you are using, and add these keys to the server. Gin can be used as a git server and usual git commands will work normally, but GIN has no https connection: one needs to use ssh. One finds easily walkthrough to set up ssh connections for different application. Some examples will be given in the next chapters.  

In addition, you need to set some configuration for git to push to a git server. This is often best done via the command lines:

```
git config --global user.name "FIRST_NAME LAST_NAME"
git config --global user.email "MY_NAME@example.com"
```