# Web interface

## Cannot see a repository?

So often, you try to visit a repository, and find something like below:

![404 page](https://gin.g-node.org/larkumlab/Dealing_with_Gin/raw/book/web-interface/images/norepository.png)

The solutions are:

1. Sign in to Gin
2. Check that the repository exists
3. Make sure you have access to the repository


### Sign in to Gin

It happens when you are not signed in to Gin.

Click on the "Sign in" button at the top-right corner of the page:

![Sign-in button](https://gin.g-node.org/larkumlab/Dealing_with_Gin/raw/book/web-interface/images/signin.png)

(If you have not yet got registered to Gin, then do it first from the "Register" button on the right.

### Check that the repository exists

If the situation persists, go visit your [dashboard](https://gin.g-node.org/larkumlab/Dealing_with_Gin/raw/book/web-interface/Dashboard.md), 
and find the name of the repository from the list.
If you click on it, the repository page should show up.

### Make sure you have access to the repository

If you don't find the repository in your dashboard, then
it is possible that you don't have access to the repository at all.

Ask somebody who has access rights to the repository [for adding you as a Collaborator](collaboration.md).