## Downloading files

Although the files may be browsable on the web interface, you might want to interact with them on your desktop, using one of your favorite programs.

It is possible to download files individually from the web interface.

> Note that this "individual download" feature differs from what Git-people call "cloning of the repository". Git-clone involves downloading of the whole repository, whereas this individual download concerns only with the current single file.

### Download button

When you open a single file, you will see buttons on the top-right of the file:

![Location of buttons](https://gin.g-node.org/larkumlab/Dealing_with_Gin/raw/book/web-interface/images/file-actions.png)

These buttons represent the actions that you can execute on this specific file, including:

- Obtaining the link to this specific version of the file (**Permalink**)
- Browsing different versions of this file (**History**)
- Downloading the file (**Download**)
- Editing the file (**the pencil symbol**; it may not be available in the case of read-only repositories, or Gin does not have a way to edit the file e.g. PDF)
- Deleting the file from the repository (**the trash-can simbol**; may not be available)



For downloading the file, click on the "download" button:

![Download button](https://gin.g-node.org/larkumlab/Dealing_with_Gin/raw/book/web-interface/images/download-button.png)

Then your browser will start downloading the file.