### Uploading a set of files

When you click on the "Upload file" button, the file upload view will appear:

![File-upload view](https://gin.g-node.org/larkumlab/Dealing_with_Gin/raw/book/web-interface/uploading-editing/images/upload-view.png)

The dotted region in the middle of the page is the _upload area_:

![The upload area](https://gin.g-node.org/larkumlab/Dealing_with_Gin/raw/book/web-interface/uploading-editing/images/upload-view-upload-area.png)

You can add the files to be uploaded by either:

- **Clicking on the area**: the file chooser dialog will appear so that you can select files from it.
- **Drag and drop** individual files or a directory containing a set of files. In the latter case, you can upload the whole directory structure easily.

In either case, the upload process will start immediately, and you will see the progress on the area:

![Progress of upload](https://gin.g-node.org/larkumlab/Dealing_with_Gin/raw/book/web-interface/uploading-editing/images/upload-progress.png)

You can specify the directory to be uploaded from the [directory selector](target-directory.md).

After completion of the upload processes for all files, you can proceed to finish the [commit process](commit-options.md).

> Note, by using this upload view, you can only upload 100 files at once, with each file being less than 10 GB in size. If you want to upload more files at once, or upload larger files, you will have to use the command-line interface or WinGIN.

