## Dashboard: how to use

When you simply sign in to Gin, without selecting any specific repository,
you fill find a page like below (note that this is just an example):

![Dashboard overview](https://gin.g-node.org/larkumlab/Dealing_with_Gin/raw/book/web-interface/images/dashboard.png)

This is called the "dashboard", and here you can see most of your activity on Gin.

The dashboard may be divided into several areas:

1. [**Activity**](#activity) area: shows what you did with your repositories
2. [**Collaborative repository**](#collaborative-repositories) area: lists up the shared repositories you have access to
3. [**Private repository**](#private-repositories) area: lists up your _own_ repositories



### Activity

![Activity area](https://gin.g-node.org/larkumlab/Dealing_with_Gin/raw/book/web-interface/images/activity-area.png)

This shows your recent activity on Gin, e.g.

- your recent commits to your repositories
- issues and comments reported to your repositories



### Collaborative repositories

![Collaborative repository area](https://gin.g-node.org/larkumlab/Dealing_with_Gin/raw/book/web-interface/images/collaboration-area.png)

This area lists up the repositories **owned by others** and those you have access to.

Normally, most of your repositories will show up here, as they are owned and managed by @larkumlab.



### Private repositories

![Private repository area](https://gin.g-node.org/larkumlab/Dealing_with_Gin/raw/book/web-interface/images/private-repositories.png)

This area lists up the repositories owned by yourself.

In many cases, these are visible only to you unless you add a [Collaborator](collaboration.md) to one of them.