### Location of buttons for uploading

When the web interface shows a list of files in a repository, you can see blue buttons in the middle, above the file list.

> Note that, if you don't have the "write" permission to the repository, these buttons will not appear. If you still want to create or upload files, contact the person responsible for the repository to [add you as a Collaborator](../collaboration.md).

![Where you can find the buttons for file-creation / upload](https://gin.g-node.org/larkumlab/Dealing_with_Gin/raw/book/web-interface/uploading-editing/images/upload-actions.png)

There, you have two types of buttons:

- **["Upload file" button](file-upload.md)**: used to upload a set of files.
- **["New file" button](new-text-file.md)**: used to create a new file in the repository.


![Two buttons for new files](https://gin.g-node.org/larkumlab/Dealing_with_Gin/raw/book/web-interface/uploading-editing/images/upload-actions-buttons.png)

